Skip to content
Health
95/100
good
  • Security25/25
    No findings
  • Activity25/25
    Last human commit 3 months ago
  • Required by20/25
    2 modules depend on it
  • Maturity25/25
    In 5 Odoo series since 14.0

Heuristic over the facts below, not an audit · How it's computed

Security findings
Grave / minor (static analysis)
Required by
2
Modules depending on it
External deps
2 pip · 0 bin
Python packages / system binaries
License
LGPL-3
No conflicts with its dependencies
Folder size
0.14 MB
Module directory on disk
Code analysis 1 migration note 2 models 6 views 0 HTTP endpoints

Description

Provide an endpoint framework allowing users to define their own custom endpoint.

Thanks to endpoint mixin the endpoint records are automatically registered as real Odoo routes.

You can easily code what you want in the code snippet.

NOTE: for security reasons any kind of RPC call is blocked on endpoint records.

Dependencies

Odoo dependencies
OCA/server-tools:
OCA/web-api:
odoo/odoo:
Python dependencies
PyYAML, jsonschema
System dependencies
None
Required by
edi_endpoint_oca, endpoint_auth_api_key

Code analysis

Extracted from the source by best-effort static analysis (no code is executed); details may be incomplete.

Views touched 6

XML IDNameModelTypeStatus
endpoint_endpoint_form_view endpoint.endpoint.form endpoint.endpoint form Inherits endpoint.endpoint_mixin_form_view
endpoint_endpoint_search_view endpoint.endpoint.search endpoint.endpoint search Inherits endpoint.endpoint_mixin_search_view
endpoint_endpoint_tree_view endpoint.endpoint.list endpoint.endpoint list Inherits endpoint.endpoint_mixin_list_view
endpoint_mixin_form_view endpoint.mixin.form endpoint.mixin form New
endpoint_mixin_list_view endpoint.mixin.list endpoint.mixin list New
endpoint_mixin_search_view endpoint.mixin.search endpoint.mixin search New

HTTP endpoints 0

No HTTP endpoints found for this module.

Models touched 2

New fields (0)

No new fields.

Public methods (0)

No public methods.

New fields (7)
  • code_snippet Text
  • code_snippet_docs Text
    compute='_compute_code_snippet_docs' default=<expr>
  • company_id Many2one → res.company
    string='Company' args: 'res.company'
  • exec_as_user_id Many2one → res.users
    comodel_name='res.users'
  • exec_mode Selection
    required=True selection='_selection_exec_mode'
  • request_content_schema Text
    help="Optional schema validated against the parsed request body. The accepted format depends on 'Request content type':\n - application/json: JSON Schema (Draft 2020-12), as YAML or JSON\n - application/xml, text/xml: XML Schema (XSD)\nIf empty, no validation runs."
  • request_content_schema_applicable Boolean
    compute='_compute_request_content_schema_applicable'
Public methods (1)
  • copy_data(self, default=None)

Loading…

Loading…

Loading…

Loading…